package com.ann.entity.interfaceEntity;

import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description 医嘱
 * @Date 2020/7/1 9:00
 * @Created by  ljx
 */

@Table
@Entity
@Data
public class InterfaceHisCache {

    @Id
    private String id;

    private String inpNo;

    private String visitId;

    // 医嘱类型 0代表临时医嘱 1代表长期医嘱
    private String type;

    private String pdfPath;

    private String remark;

    // 0代表未处理  1代表已处理 2代表处理异常
    private String state;

    //2020-7-6 新增修改时间
    private Date updateTime ;


    public void setValue(String state, String remark, Date updateTime) {
        this.state = state;
        this.remark = remark;
        this.updateTime = updateTime;
    }
}
