package com.ann.entity.interfaceEntity.dto;

import lombok.Data;

import java.util.Date;

/**
 * @Description 患者清单
 * @Date 2019/7/9 9:49
 * @Created by  ljx
 */

@Data
public class ArchiveMasterDto {

    /**
     * 文档Id
     */
    private String id;

    private String xmlCreateTime;

    /**
     * 患者id
     */
    private String patientId;

    /**
     * 住院号
     */
    private String inpNo;

    /**
     * 住院次数
     */
    private String visitId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 出院科室
     */
    private String deptName;

    /**
     * 出院日期
     */
    private Date dischargeDateTime;

    /**
     * 归档状态
     */
    private String archiveState;

    /**
     * 入院日期
     */
    private Date admissionDateTime;

    /**
     * 入院科室
     */
    private String deptAdmissionTo;

    /**
     * 入院科室名称
     */
    private String deptAdmissionToName;

    /**
     *
     */
    private String checkDoctor;

    /**
     *
     */
    private Date checkDatetime;


    /**
     *
     */
    private Date checkedDoctor;


    /**
     *
     */
    private Date checkedDatetime;

    /**
     *
     */
    private String LockInfo;

    /**
     * 主管医生
     */
    private String doctorInCharge;

    /**
     * 主管医生名称
     */
    private String doctorInChargeName;

    /**
     * 身份证号
     */
    private String idNo;

    /**
     * 离院方式
     */
    private String dischargeDisposition;

    /**
     * 归档状态
     */
    private String deptCodeLend;

}
