package com.ann.repository;

import com.ann.entity.interfaceEntity.InterfaceHisCache;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface InterfaceHisCacheRepository extends JpaRepository<InterfaceHisCache,String> {
    
    public List<InterfaceHisCache> findAllByStateAndPdfPathIsNotNull(String state);

}
