package com.ann.service.impl;

import com.ann.entity.interfaceEntity.MessageLog;
import com.ann.repository.MessageRepository;
import com.ann.service.MessageService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description
 * @Date 2019/7/9 10:24
 * @Created by  ljx
 */
@Service
public class MessageServiceImpl implements MessageService {

    static final Logger logger = LoggerFactory.getLogger(MessageServiceImpl.class);

    @Autowired
    MessageRepository messageRepository;

    @Override
    public void save(MessageLog log) {
        //打日志信息
        if (log.getXmlExecutionTime() > 2147483646) {
            log.setXmlExecutionTime(2147483646L);
        }
        messageRepository.save(log);
    }

}
