package com.ann.service.impl;

import com.ann.entity.filing.MessageSubordinate;
import com.ann.repository.MessageSubordinateRepository;
import com.ann.service.MessageSubordinateService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description
 * @Date 2019/7/9 16:43
 * @Created by  ljx
 */
@Service
public class MessageSubordinateServiceImpl implements MessageSubordinateService {

    @Autowired
    MessageSubordinateRepository subordinateRepository;

    @Override
    public void save(MessageSubordinate messageSubordinate) throws Exception{
        subordinateRepository.save(messageSubordinate);
    }

    @Override
    public List<MessageSubordinate> findAllByStatus(Integer status) throws Exception{
        return subordinateRepository.findAllByStatus(status);
    }

    @Override
    public List<MessageSubordinate> findAllMessageSubordinateByError() throws Exception{
        return subordinateRepository.findAllMessageSubordinateByError();
    }

}
