package com.ann.entity.filing.dto;

import lombok.Data;

/**
 * @Description 患者清单的关键信息
 * @Date 2019/7/9 16:36
 * @Created by  ljx
 */
@Data
public class PatientMainDto {

    /**
     * 住院号
     */
    private String inpNo;

    /**
     * 就诊次数
     */
    private String visitId;

    /**
     * 拓展字段1
     */
    private String extendedField1;

    /**
     * 拓展字段2
     */
    private String extendedField2;

    /**
     * 拓展字段3
     */
    private String extendedField3;

    public PatientMainDto(String inpNo, String visitId) {
        this.inpNo = inpNo;
        this.visitId = visitId;
    }

    public PatientMainDto() {
    }
}
