package com.ann.entity.interfaceEntity;

import lombok.Data;

/**
 * @Description 超声报告
 * @Date 2019/6/24 21:58
 * @Created by  ljx
 */

@Data
public class UltrasonicReport {

    /*
     *  文档流水号
     * */
    private String id;

    /*
     *  住院号标识号
     * */
    private String inpNo;

    /*
     *  检查报告单号
     * */
    private String checkReportId;

    /**
     * 电子申请单号
     */
    private String applyId;

    /**
     * 就诊次数
     */
    private String visitId;

    /**
     * 患者姓名
     */
    private String name;


    /*检查报告医师（文档创作者）*/

    /**
     * 检查报告日期
     */
    private String authorReportTime;


    /**
     * 医师标识
     */
    private String assignedAuthorId;

    /**
     * 医师姓名
     */
    private String assignedPersonName;


    /* 审核医师签名 */

    /**
     * 审核医师Id
     */
    private String examineId;

    /**
     * 审核医师姓名
     */
    private String examineAssignedPersonName;

    /**
     * 检查报告地址
     */
    private String reportAddress;

    @Override
    public String toString() {
        return "UltrasonicReport{" +
                "id='" + id + '\'' +
                ", inpNo='" + inpNo + '\'' +
                ", checkReportId='" + checkReportId + '\'' +
                ", applyId='" + applyId + '\'' +
                ", visitId='" + visitId + '\'' +
                ", name='" + name + '\'' +
                ", authorReportTime='" + authorReportTime + '\'' +
                ", assignedAuthorId='" + assignedAuthorId + '\'' +
                ", assignedPersonName='" + assignedPersonName + '\'' +
                ", examineId='" + examineId + '\'' +
                ", examineAssignedPersonName='" + examineAssignedPersonName + '\'' +
                '}';
    }
}
