package com.ann.repository;

import com.ann.entity.interfaceEntity.InterfaceHisCache;
import com.ann.entity.interfaceEntity.dto.InterfaceHisCacheDto;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface InterfaceHisCacheDtoRepository extends JpaRepository<InterfaceHisCacheDto,String> {
    @Query(value = "select top 10 id,inp_no,visit_id,pdf_path,type from Interface_His_Cache where state = 0 and pdf_path is not null",nativeQuery = true)
    public List<InterfaceHisCacheDto> findAllByStateAndPdfPathIsNotNullDto();

}
