package com.ann.service;

import com.ann.entity.interfaceEntity.ArchiveMaster;

import java.util.List;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/7/11 20:53
 */
public interface ArchiveMasterService {

    public void save(ArchiveMaster archiveMaster);

    public ArchiveMaster findByInpNoAndVisitIdAndIsValid(String inpNo, String visitId) throws Exception;

    // 查询初审的病历
    List<ArchiveMaster> findArchiveMasterBySendTime();

    // 查询复审退回的病历
    List<ArchiveMaster> findArchiveMasterBySendBackAndSendTime();

    // isSign 0为签收 1为取消签收
    public Integer updateSendTime(String id,String now,Integer isSign);
}
