package com.ann.service.impl;

import com.ann.entity.interfaceEntity.InterfaceHisCache;
import com.ann.entity.interfaceEntity.dto.InterfaceHisCacheDto;
import com.ann.repository.InterfaceHisCacheDtoRepository;
import com.ann.repository.InterfaceHisCacheRepository;
import com.ann.service.InterfaceHisCacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class InterfaceHisCacheServiceImpl implements InterfaceHisCacheService {

    @Autowired
    private InterfaceHisCacheRepository interfaceHisCacheRepository;


    @Autowired
    private InterfaceHisCacheDtoRepository interfaceHisCacheDtoRepository;

    @Override
    public List<InterfaceHisCacheDto> findInterfaceHisCacheByState() {
        return interfaceHisCacheDtoRepository.findAllByStateAndPdfPathIsNotNullDto();
    }

    @Override
    public boolean updateState(Integer state,String id,Integer type ) {
//        if(interfaceHisCacheRepository.updateStateById(state,id,type) > 0)
//            return true;
        return false;
    }

    @Override
    public void save(InterfaceHisCache interfaceHisCache) {
        interfaceHisCacheRepository.save(interfaceHisCache);
    }
}
