package com.ann.utils;

import org.apache.cxf.endpoint.Client;
import org.apache.cxf.jaxws.endpoint.dynamic.JaxWsDynamicClientFactory;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/10/10 11:07
 */
public class WebServiceUtils {

    public static Object[] connect(String path) throws Exception {
        JaxWsDynamicClientFactory dcf = JaxWsDynamicClientFactory.newInstance();
        Client client = dcf.createClient("http://10.6.0.224/cdms/cdmsservice.asmx?wsdl");
        Object[] objects = new Object[0];
        try {
            // invoke("方法名",参数1,参数2,参数3....);
            return objects = client.invoke("GetImageStream", path);
        } catch (Exception e) {
            return null;
        }
    }

    public static Object[] connectEMR(String content) throws Exception {
        JaxWsDynamicClientFactory dcf = JaxWsDynamicClientFactory.newInstance();
        Client client = dcf.createClient("http://10.6.0.170/csp/jhip/JHIP.MRA.BS.MedicalRecordsQueryBS.cls?wsdl");
        Object[] objects = new Object[0];
        try {
            // invoke("方法名",参数1,参数2,参数3....);
            return objects = client.invoke("SignOrNoSign", content);
        } catch (Exception e) {
            return null;
        }
    }

}
